# Contributing Guidelines

Thank you for your interest in contributing to this project! We ask that you
please follow a few guidelines in order to have your changes reviewed and
merged quickly:

* Base your pull requests against the `master` branch.
* Make commits of logical units. For example, a commit to refactor existing
code should be separate from a commit to add a new feature.
* Check for unnecessary whitespace with `git diff --check` before committing.
* Include descriptive commit messages for each commit that detail what
was changed and why.
* Include any necessary tests for your changes.
* Ensure that any existing tests have not been broken by your changes.
* Ensure any Python code changes pass [pep8](https://github.com/PyCQA/pep8) and [flake8](https://gitlab.com/pycqa/flake8).
